


#ifndef __DIR_ENTRY_H__
#define __DIR_ENTRY_H__

#include <qlist.h>
#include <qstring.h>

#include "FileEntry.h"

namespace Perforce {

class DirEntry;
typedef QList< DirEntry > DirEntryList;
class DirEntry {

public:

  DirEntry( const char* fullPath ) :
      _fullPath( fullPath ) { }      

  inline const QString& getFullPath()
    { return _fullPath; }

  const QString getName();    

  inline const DirEntryList& getDirs()
    { return _dirs; }

  inline const FileEntryList& getFiles()
    { return _files; }

private:
  
  QString _fullPath;

  QList< DirEntry > _dirs;
  QList< FileEntry > _files;

};

} // end namespace


#endif
